Debian Bug report logs - #682739
pre_test_* custom script should signal "untestable, don't try" via exit code

version graph

Package: piuparts; Maintainer for piuparts is piuparts developers team <piuparts-devel@lists.alioth.debian.org>; Source for piuparts is src:piuparts.

Reported by: Andreas Beckmann <anbe@debian.org>

Date: Wed, 25 Jul 2012 08:48:01 UTC

Severity: wishlist

Found in versions matlab-support/0.0.18, sdic-eijiro/2.1.3-22, sdic-eijiro/2.1.3-19, sdic-eijiro/2.1.3-19+squeeze1, matlab-support/0.0.19, dynare-matlab/4.3.0-2

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, piuparts developers team <piuparts-devel@lists.alioth.debian.org>:
Bug#682739; Package piuparts. (Wed, 25 Jul 2012 08:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
New Bug report received and forwarded. Copy sent to piuparts developers team <piuparts-devel@lists.alioth.debian.org>. (Wed, 25 Jul 2012 08:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: piuparts: package cannot be tested with piuparts due to requirement of external resources
Date: Wed, 25 Jul 2012 10:44:20 +0200
Package: piuparts
Severity: minor
Tags: wontfix
User: debian-qa@lists.debian.org
Usertags: piuparts

This is a meta bug to carry Affects:/Found: on packages that cannot be
tested by piuparts due to the requirement of non-redistributable
non-free resources. Having them listed here will allow piuparts-analyze
to mark them as "bugged" so they don't show up as unhandled failures.

* matlab-support [contrib]: requires a matlab installation
* sdic-eijiro [contrib]: requires a dictionary CD


Andreas



Added indication that 682739 affects sdic-eijiro, matlab-support, and dynare-matlab Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Wed, 25 Jul 2012 09:21:03 GMT) Full text and rfc822 format available.

Marked as found in versions sdic-eijiro/2.1.3-22. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Wed, 25 Jul 2012 09:21:03 GMT) Full text and rfc822 format available.

Marked as found in versions matlab-support/0.0.18. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Wed, 25 Jul 2012 09:21:04 GMT) Full text and rfc822 format available.

Marked as found in versions sdic-eijiro/2.1.3-19. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Wed, 25 Jul 2012 09:21:04 GMT) Full text and rfc822 format available.

Marked as found in versions dynare-matlab/4.3.0-2. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Wed, 25 Jul 2012 09:21:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, piuparts developers team <piuparts-devel@lists.alioth.debian.org>:
Bug#682739; Package piuparts. (Fri, 27 Jul 2012 10:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to piuparts developers team <piuparts-devel@lists.alioth.debian.org>. (Fri, 27 Jul 2012 10:21:03 GMT) Full text and rfc822 format available.

Message #20 received at 682739@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 682739@bugs.debian.org
Subject: Re: [Piuparts-devel] Bug#682739: piuparts: package cannot be tested with piuparts due to requirement of external resources
Date: Fri, 27 Jul 2012 12:18:07 +0200
Hi Andreas,

On Mittwoch, 25. Juli 2012, Andreas Beckmann wrote:
> Severity: minor
> Tags: wontfix

thanks for this, but I still don't like this bug adding noise to the piuparts 
BTS page. I think I would prefer adding a clever workaround/special casing in 
the piuparts sources (like we have for other problematic packages).

tags - wontfix & retitle?


cheers,
	Holger



Information forwarded to debian-bugs-dist@lists.debian.org, piuparts developers team <piuparts-devel@lists.alioth.debian.org>:
Bug#682739; Package piuparts. (Fri, 27 Jul 2012 10:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to piuparts developers team <piuparts-devel@lists.alioth.debian.org>. (Fri, 27 Jul 2012 10:54:03 GMT) Full text and rfc822 format available.

Message #25 received at 682739@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Holger Levsen <holger@layer-acht.org>, 682739@bugs.debian.org
Subject: Re: [Piuparts-devel] Bug#682739: Bug#682739: piuparts: package cannot be tested with piuparts due to requirement of external resources
Date: Fri, 27 Jul 2012 12:50:00 +0200
On 2012-07-27 12:18, Holger Levsen wrote:
> thanks for this, but I still don't like this bug adding noise to the piuparts 
> BTS page. I think I would prefer adding a clever workaround/special casing in 
> the piuparts sources (like we have for other problematic packages).

I did not really see an easy workaround ... if you have some ideas ?

Andreas



Information forwarded to debian-bugs-dist@lists.debian.org, piuparts developers team <piuparts-devel@lists.alioth.debian.org>:
Bug#682739; Package piuparts. (Fri, 27 Jul 2012 11:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to piuparts developers team <piuparts-devel@lists.alioth.debian.org>. (Fri, 27 Jul 2012 11:18:03 GMT) Full text and rfc822 format available.

Message #30 received at 682739@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 682739@bugs.debian.org
Subject: Re: [Piuparts-devel] Bug#682739: Bug#682739: Bug#682739: piuparts: package cannot be tested with piuparts due to requirement of external resources
Date: Fri, 27 Jul 2012 13:15:20 +0200
On Freitag, 27. Juli 2012, Andreas Beckmann wrote:
> I did not really see an easy workaround ... if you have some ideas ?

skip those packages as untestable?



Information forwarded to debian-bugs-dist@lists.debian.org, piuparts developers team <piuparts-devel@lists.alioth.debian.org>:
Bug#682739; Package piuparts. (Fri, 27 Jul 2012 11:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to piuparts developers team <piuparts-devel@lists.alioth.debian.org>. (Fri, 27 Jul 2012 11:45:03 GMT) Full text and rfc822 format available.

Message #35 received at 682739@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Holger Levsen <holger@layer-acht.org>, 682739@bugs.debian.org
Subject: Re: Bug#682739: piuparts: package cannot be tested with piuparts due to requirement of external resources
Date: Fri, 27 Jul 2012 13:42:24 +0200
On 2012-07-27 13:15, Holger Levsen wrote:
> On Freitag, 27. Juli 2012, Andreas Beckmann wrote:
>> I did not really see an easy workaround ... if you have some ideas ?
> 
> skip those packages as untestable?

can we do this in custom scripts with "special" exit codes (needs more
code changes, but we need code change anyway) as I wouldn't like to
hardcode this into a *.py

pre_test_skip_untestables should be the right place

Andreas



Information forwarded to debian-bugs-dist@lists.debian.org, piuparts developers team <piuparts-devel@lists.alioth.debian.org>:
Bug#682739; Package piuparts. (Fri, 27 Jul 2012 11:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to piuparts developers team <piuparts-devel@lists.alioth.debian.org>. (Fri, 27 Jul 2012 11:51:03 GMT) Full text and rfc822 format available.

Message #40 received at 682739@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 682739@bugs.debian.org
Subject: Re: Bug#682739: piuparts: package cannot be tested with piuparts due to requirement of external resources
Date: Fri, 27 Jul 2012 13:46:58 +0200
On Freitag, 27. Juli 2012, Andreas Beckmann wrote:
> can we do this in custom scripts with "special" exit codes (needs more
> code changes, but we need code change anyway) as I wouldn't like to
> hardcode this into a *.py
> 
> pre_test_skip_untestables should be the right place

sounds right to me.



Information forwarded to debian-bugs-dist@lists.debian.org, piuparts developers team <piuparts-devel@lists.alioth.debian.org>:
Bug#682739; Package piuparts. (Sat, 28 Jul 2012 07:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to piuparts developers team <piuparts-devel@lists.alioth.debian.org>. (Sat, 28 Jul 2012 07:24:03 GMT) Full text and rfc822 format available.

Message #45 received at 682739@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: control@bugs.debian.org, 682739@bugs.debian.org
Subject: Re: Bug#682739: piuparts: package cannot be tested with piuparts due to requirement of external resources
Date: Sat, 28 Jul 2012 09:21:39 +0200
tag 682739 - wontfix
severity 682739 wishlist
retitle 682739 piuparts: pre_test_* custom script should signal "untestable, don't try" via exit code
thanks

On 2012-07-27 13:46, Holger Levsen wrote:
> On Freitag, 27. Juli 2012, Andreas Beckmann wrote:
>> can we do this in custom scripts with "special" exit codes (needs more
>> code changes, but we need code change anyway) as I wouldn't like to
>> hardcode this into a *.py
>>
>> pre_test_skip_untestables should be the right place
> 
> sounds right to me.

OK, let's see how we can implement this.

piuparts should exit with something like:

SKIP: package cannot be tested (pre_test_* detecdted)

Andreas



Removed tag(s) wontfix. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sat, 28 Jul 2012 07:24:07 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'minor' Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sat, 28 Jul 2012 07:24:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'piuparts: pre_test_* custom script should signal "untestable, don't try" via exit code' from 'piuparts: package cannot be tested with piuparts due to requirement of external resources' Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sat, 28 Jul 2012 07:24:08 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Andreas Beckmann <anbe@debian.org>' from 'Andreas Beckmann <debian@abeckmann.de>' Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sat, 26 Jan 2013 06:27:50 GMT) Full text and rfc822 format available.

Marked as found in versions matlab-support/0.0.19. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Fri, 15 Feb 2013 10:33:05 GMT) Full text and rfc822 format available.

Marked as found in versions sdic-eijiro/2.1.3-19+squeeze1. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sat, 02 Mar 2013 10:03:10 GMT) Full text and rfc822 format available.

Changed Bug title to 'pre_test_* custom script should signal "untestable, don't try" via exit code' from 'piuparts: pre_test_* custom script should signal "untestable, don't try" via exit code' Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Sun, 02 Jun 2013 01:15:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:38:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.